Package Gnumed :: Package wxpython :: Module gmSubstanceMgmtWidgets |
[frames] | no frames]

# Module gmSubstanceMgmtWidgets

source code

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cSubstanceEAPnl
| cSubstancePhraseWheel
| cSubstanceDoseEAPnl
| cDrugComponentEAPnl
| cDrugComponentPhraseWheel
| cDrugProductEAPnl
| cDrugProductPhraseWheel
| cSingleComponentGenericDrugEAPnl

Functions
configure_drug_data_source(parent=None) | source code
get_drug_database(parent=None, patient=None) | source code
jump_to_drug_database(patient=None) | source code
jump_to_ifap_deprecated(import_drugs=False, emr=None) | source code
edit_substance(parent=None, substance=None, single_entry=False) | source code
manage_substances(parent=None) | source code
edit_substance_dose(parent=None, substance_dose=None, single_entry=False) | source code
manage_substance_doses(parent=None, vaccine_indications_only=False) | source code
manage_drug_components(parent=None) | source code
edit_drug_component(parent=None, drug_component=None, single_entry=False) | source code
edit_drug_product(parent=None, drug_product=None, single_entry=False) | source code
manage_drug_products(parent=None, ignore_OK_button=False) | source code
manage_components_of_drug_product(parent=None, product=None) | source code
edit_single_component_generic_drug(parent=None, drug=None, single_entry=False, fields=None, return_drug=False) | source code
manage_single_component_generic_drugs(parent=None, ignore_OK_button=False) | source code

Variables
| __doc__ = `"""GNUmed drug / substance reference widgets."""`

Imports: logging, sys, os, decimal, wx, gmDispatcher, gmCfg, gmShellAPI, gmTools, gmMatchProvider, gmPerson, gmPraxis, gmMedication, gmDrugDataSources, gmATC, gmGuiHelpers, gmEditArea, gmCfgWidgets, gmListWidgets, gmPhraseWheel, wxgSubstanceEAPnl, wxgSubstanceDoseEAPnl, wxgDrugComponentEAPnl, wxgDrugProductEAPnl, wxgSingleComponentGenericDrugEAPnl